import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import 'lib-flexible/flexible'
import './style/index.css'
import axios from 'axios'
import *as echarts from 'echarts'//引入echarts
// 导入vant
import 'vant/lib/index.css'
import { Button,Calendar,Icon,Popup,Cell,CellGroup  } from 'vant' // 引入Button组件

Vue.use(Cell);
Vue.use(CellGroup)
Vue.use(Popup);
Vue.use(Icon);
Vue.use(Calendar);
Vue.use(Button) // 全局注册
Vue.prototype.$echarts = echarts//挂载到Vue实例上，方便全局使用
Vue.prototype.$axios = axios
Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
